Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world
Class NextTickListEntry

    java.lang.Object
      net.minecraft.world.NextTickListEntry

All Implemented Interfaces:
  Comparable

    public class NextTickListEntry

extends Object
implements Comparable

Field Summary
`int` | `blockID` blockID of the scheduled tick (ensures when the tick occurs its still for this block)
`int` | `field_82754_f`
`long` | `scheduledTime` Time this tick is scheduled to occur at
`int` | `xCoord` X position this tick is occuring at
`int` | `yCoord` Y position this tick is occuring at
`int` | `zCoord` Z position this tick is occuring at

Constructor Summary
`NextTickListEntry(int par1, int par2, int par3, int par4)`

Method Summary
`int` | `comparer(NextTickListEntry par1NextTickListEntry)` Compares this tick entry to another tick entry for sorting purposes.
`int` | `compareTo(Object par1Obj)`
`boolean` | `equals(Object par1Obj)`
`void` | `func_82753_a(int par1)`
`int` | `hashCode()`
`NextTickListEntry` | `setScheduledTime(long par1)` Sets the scheduled time for this tick entry

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xCoord

    public int xCoord

  X position this tick is occuring at

### yCoord

    public int yCoord

  Y position this tick is occuring at

### zCoord

    public int zCoord

  Z position this tick is occuring at

### blockID

    public int blockID

  blockID of the scheduled tick (ensures when the tick occurs its still for this block)

### scheduledTime

    public long scheduledTime

  Time this tick is scheduled to occur at

### field_82754_f

    public int field_82754_f

Constructor Detail

### NextTickListEntry

    public NextTickListEntry(int par1,
                             int par2,
                             int par3,
                             int par4)

Method Detail

### equals

    public boolean equals(Object par1Obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setScheduledTime

    public NextTickListEntry setScheduledTime(long par1)

  Sets the scheduled time for this tick entry

### func_82753_a

    public void func_82753_a(int par1)

### comparer

    public int comparer(NextTickListEntry par1NextTickListEntry)

  Compares this tick entry to another tick entry for sorting purposes. Compared first based on the scheduled time and second based on tickEntryID.

### compareTo

    public int compareTo(Object par1Obj)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD